Bug 172260 - sysutils/munin-master dose not work.
Summary: sysutils/munin-master dose not work.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-02 01:00 UTC by Haruo Shiba
Modified: 2012-10-06 23:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Haruo Shiba 2012-10-02 01:00:11 UTC
Creating lock /var/run/munin/munin-update.lock failed: Permission denied
 at /usr/local/lib/perl5/site_perl/5.14.2/Munin/Master/Update.pm line 128

not a reference at /usr/local/lib/perl5/site_perl/5.14.2/Munin/Master/Utils.pm line 908
Comment 1 Edwin Groothuis freebsd_committer 2012-10-02 19:12:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-10-06 23:11:13 UTC
Author: flo
Date: Sat Oct  6 22:10:55 2012
New Revision: 305413
URL: http://svn.freebsd.org/changeset/ports/305413

Log:
  - update to 2.0.7
  - move USERS and GROUPS from munin-common/Makefile to munin.mk, otherwise they
    cannot be used in the Makefiles of munin-master and munin-node where they are
    required. This fixes permissions on certain directories. [1]
  - VERSION.node file should be updated after the pkg-install script runs, because
    it requires the version of the previously installed version not the currently
    installed one. [2]
  
  PR:		ports/172260 [1]
  Reported by:	Haruo Shiba <shiba@logic-design.co.jp> [1]
  		tdb [2]

Deleted:
  head/sysutils/munin-master/files/patch-bug1251
Modified:
  head/sysutils/munin-common/Makefile
  head/sysutils/munin-common/distinfo
  head/sysutils/munin-common/munin.mk
  head/sysutils/munin-master/Makefile
  head/sysutils/munin-node/Makefile
  head/sysutils/munin-node/pkg-plist

Modified: head/sysutils/munin-common/Makefile
==============================================================================
--- head/sysutils/munin-common/Makefile	Sat Oct  6 22:04:05 2012	(r305412)
+++ head/sysutils/munin-common/Makefile	Sat Oct  6 22:10:55 2012	(r305413)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	munin-common
-# Date created:                         10 February 2010
-# Whom:                                 Sean Rees <sean@rees.us>
-#
+# Created by: Sean Rees <sean@rees.us>
 # $FreeBSD$
-#
 
 PORTNAME=	munin
 PORTVERSION=	${MUNIN_VERSION}
@@ -24,9 +20,6 @@ WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVER
 
 .include "${.CURDIR}/../munin-common/munin.mk"
 
-USERS=		${MUNIN_USER}
-GROUPS=		${MUNIN_GROUP}
-
 ALL_TARGET=	build-common-prime
 INSTALL_TARGET=	install-common
 

Modified: head/sysutils/munin-common/distinfo
==============================================================================
--- head/sysutils/munin-common/distinfo	Sat Oct  6 22:04:05 2012	(r305412)
+++ head/sysutils/munin-common/distinfo	Sat Oct  6 22:10:55 2012	(r305413)
@@ -1,2 +1,2 @@
-SHA256 (munin-2.0.6.tar.gz) = ff99a3c36156adb6b867bb684ec508a857728336c0b81a93955bbcc9d5045ea6
-SIZE (munin-2.0.6.tar.gz) = 1325754
+SHA256 (munin-2.0.7.tar.gz) = 3daf42722ebd74a6269aa290b9f5821e2206df7b0fd6a39876863ff1a9b50c2e
+SIZE (munin-2.0.7.tar.gz) = 1326773

Modified: head/sysutils/munin-common/munin.mk
==============================================================================
--- head/sysutils/munin-common/munin.mk	Sat Oct  6 22:04:05 2012	(r305412)
+++ head/sysutils/munin-common/munin.mk	Sat Oct  6 22:10:55 2012	(r305413)
@@ -1,4 +1,4 @@
-MUNIN_VERSION=	2.0.6
+MUNIN_VERSION=	2.0.7
 MUNIN_SITES=	SF/${PORTNAME}/stable/${PORTVERSION}
 MUNIN_DISTINFO=	${PORTSDIR}/sysutils/munin-common/distinfo
 MUNIN_PATCHES=	${PORTSDIR}/sysutils/munin-common/files/patch-Makefile \
@@ -25,6 +25,6 @@ MUNIN_DIRS=	BINDIR=${PREFIX}/bin \
 MAKE_ARGS=	${MUNIN_DIRS} \
 		BASH=${LOCALBASE}/bin/bash \
 		PERL=${PERL} PERLLIB=${PREFIX}/${SITE_PERL_REL}
-MUNIN_USER=	munin
-MUNIN_GROUP=	munin
-PLIST_SUB=	${MUNIN_DIRS} USER=${MUNIN_USER} GROUP=${MUNIN_GROUP}
+USERS=		munin
+GROUPS=		munin
+PLIST_SUB=	${MUNIN_DIRS} USER=${USERS} GROUP=${GROUPS}

Modified: head/sysutils/munin-master/Makefile
==============================================================================
--- head/sysutils/munin-master/Makefile	Sat Oct  6 22:04:05 2012	(r305412)
+++ head/sysutils/munin-master/Makefile	Sat Oct  6 22:10:55 2012	(r305413)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	munin-master
-# Date created:				25 Januar 2004
-# Whom:					Lupe Christoph <lupe@lupe-christoph.de>
-#
+# Created by: Lupe Christoph <lupe@lupe-christoph.de>
 # $FreeBSD$
-#
 
 PORTNAME=	munin
 PORTVERSION=	${MUNIN_VERSION}
-PORTREVISION=	1
 CATEGORIES=	sysutils perl5
 MASTER_SITES=	${MUNIN_SITES}
 PKGNAMESUFFIX=	-master

Modified: head/sysutils/munin-node/Makefile
==============================================================================
--- head/sysutils/munin-node/Makefile	Sat Oct  6 22:04:05 2012	(r305412)
+++ head/sysutils/munin-node/Makefile	Sat Oct  6 22:10:55 2012	(r305413)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	munin-node
-# Date created:				25 Januar 2004
-# Whom:					Lupe Christoph <lupe@lupe-christoph.de>
-#
+# Created by: Lupe Christoph <lupe@lupe-christoph.de>
 # $FreeBSD$
-#
 
 PORTNAME=	munin
 PORTVERSION=	${MUNIN_VERSION}
@@ -111,9 +107,9 @@ post-install:
 	@(cd ${WRKSRC}/build/doc && for man in ${MAN8}; do \
 		${INSTALL_MAN} -C $$man ${PREFIX}/man/man8; \
 	done)
-	@${ECHO} ${PORTVERSION} > ${PREFIX}/etc/munin/VERSION.node
 	@${SETENV} ${SCRIPTS_ENV} PKG_PREFIX=${PREFIX} \
 		${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
+	@${ECHO} ${PORTVERSION} > ${PREFIX}/etc/munin/VERSION.node
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/sysutils/munin-node/pkg-plist
==============================================================================
--- head/sysutils/munin-node/pkg-plist	Sat Oct  6 22:04:05 2012	(r305412)
+++ head/sysutils/munin-node/pkg-plist	Sat Oct  6 22:10:55 2012	(r305413)
@@ -1,6 +1,5 @@
 @stopdaemon munin-node
 bin/munindoc
-%%ETCDIR%%/VERSION.node
 @unexec if cmp -s %D/%%ETCDIR%%/munin-node.conf.sample %D/%%ETCDIR%%/munin-node.conf ; then rm -f %D/%%ETCDIR%%/munin-node.conf ; fi
 %%ETCDIR%%/munin-node.conf.sample
 @exec if [ ! -f %D/%%ETCDIR%%/munin-node.conf ] ; then cp -p %D/%%ETCDIR%%/munin-node.conf.sample %D/%%ETCDIR%%/munin-node.conf ; fi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Florian Smeets freebsd_committer 2012-10-06 23:12:43 UTC
State Changed
From-To: open->closed

This should be fixed with munin 2.0.7, which was committed a few minutes 
ago. Please update your ports tree and try again.